where to download multi lingual abstraction layer plug?

General questions regarding the use of languages in Joomla! 1.5.

Moderator: General Support Moderators

Locked
theduck70
Joomla! Apprentice
Joomla! Apprentice
Posts: 40
Joined: Sat Feb 14, 2009 11:49 am
Location: köln, Germany
Contact:

where to download multi lingual abstraction layer plug?

Post by theduck70 » Fri Jul 03, 2009 3:05 pm

Going a bit crazy here, I've been googling and searching both JoomFish and Joomla for hours trying to find this plugin. Can anyone tell me where i can download the Multi Lingual Abstraction Layer plug in? I can't get JoomFish working as it displays this message :

Multi lingual abstraction layer mambot is not installed or published - will not work in this state!

I've checked the system plug-ins and I can find it. Using eXplorer I see that I have both jfrouter and jfdatabase as I read in another post that both these need to be there. (photos attached)

I also read in other posts that people have 'uploaded' this missing plug, but from where, I can't find it.

thanks

d

php 5.2.10
Apache/2
Joomla! 1.5.10 Production/Stable [ Wohmamni ] 27-March-2009 23:00 GMT
You do not have the required permissions to view the files attached to this post.

User avatar
infograf768
Joomla! Master
Joomla! Master
Posts: 18869
Joined: Fri Aug 12, 2005 3:47 pm
Location: **Translation Matters**

Re: where to download multi lingual abstraction layer plug?

Post by infograf768 » Sat Jul 04, 2009 4:05 pm

This one is the jfdatabase plugin and it has to be published, which is normally done when installing Joomfish.

Make sure it is enabled.
Jean-Marie Simonet / infograf · http://www.info-graf.fr
---------------------------------
ex-Joomla Translation Coordination Team • ex-Joomla! Production Working Group

theduck70
Joomla! Apprentice
Joomla! Apprentice
Posts: 40
Joined: Sat Feb 14, 2009 11:49 am
Location: köln, Germany
Contact:

Re: where to download multi lingual abstraction layer plug?

Post by theduck70 » Sat Jul 04, 2009 4:34 pm

thanks for your reply!!

Since my post I've been searching for the 'Joomfish abstraction' layer plug in in the Joomla! plugins as both the jfdatabase and jfrouter folders were present, but the plug wasn't there!

So I thought there must have been a problem with installation, so attempted to uninstall JoomFish but ended up with a whole list of uninstall errors.

SO NOW, when I reinstall, the screen goes to a this error '-1- An error occurred. It was not possible to copy selected file.'

JoomFish is installed but now the JFrouter and jfDatabase folders are missing. also this message is showing on the JoomFish control panel -
"
Warning: file_get_contents(/home/thecafeh/domains/thecafehunter.com/public_html/administrator/components/com_joomfish/manifest.xml) [function.file-get-contents]: failed to open stream: No such file or directory in /home/thecafeh/domains/thecafehunter.com/public_html/libraries/domit/xml_domit_lite_parser.php on line 1082"

After I uninstalled I followed the instructions in another post and deleted anything I could find with JF on it and also made sure that all permissions were 777.

Not sure what to do. Is it possible to completely wipe it some how?

thanks for your advice
You do not have the required permissions to view the files attached to this post.

wendy_purple
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Wed Mar 26, 2008 11:14 pm

Re: where to download multi lingual abstraction layer plug?

Post by wendy_purple » Mon Aug 24, 2009 7:48 pm

Hi, I have the same issue, I installed it the first time without problems. But the languages page had a display error so I decided to uninstall the component Extensions -> Install / Uninstall, but i think it didn't uninstall well.

Now, I try to install it again but i get '-1- An error occurred. It was not possible to copy selected file.'

I can't find how to uninstall the component in order to install it again.
Please help me!!
Thanks in advance

theduck70
Joomla! Apprentice
Joomla! Apprentice
Posts: 40
Joined: Sat Feb 14, 2009 11:49 am
Location: köln, Germany
Contact:

Re: where to download multi lingual abstraction layer plug?

Post by theduck70 » Mon Aug 24, 2009 8:45 pm

Not sure if this will be any help, but this is how i eventually solved the problem.

after completing an Uninstall, I went through and deleted every instance of jf i could find. I did find a very useful one in the forum at joomFish (http://www.joomfish.net/forum/viewtopic.php?f=8&t=2090) which i used as a basis for uninstalling.

I also went into the database through phpMyadmin and deleted the two files or jf sorry can't remember what they were exactly called.

I had to do this process a number of times as I always managed to miss one or two files somewhere. But eventually I got it working.

Hope this proves useful for you.

D

User avatar
iTeam
Joomla! Apprentice
Joomla! Apprentice
Posts: 13
Joined: Wed Jul 25, 2007 1:21 pm
Contact:

Re: where to download multi lingual abstraction layer plug?

Post by iTeam » Tue Aug 25, 2009 9:40 am

try to read this e-book, it has some good tips for JoomFish..
You do not have the required permissions to view the files attached to this post.
i T e a m  ™
Sa'ed A. Haroon
+962-79-6878862
http://ideal-team.net

cioran
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Mon Dec 13, 2010 9:14 am
Location: Tofino, Vancouver Island
Contact:

Re: where to download multi lingual abstraction layer plug?

Post by cioran » Sat Apr 21, 2012 10:15 pm

Had the same problem even though plugin was installed and activated. Message still showed.
However, what worked for me was putting the jf_db plugin LAST in the plugin manager. Messgae disappeared.

Cheers


Locked

Return to “Language - Joomla! 1.5”